<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_gravity="center_horizontal"
    android:orientation="vertical"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content">

    <LinearLayout
        android:layout_gravity="center_vertical"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp">

        <TextView
            android:id="@+id/baseDirText"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="TextView" />

        <EditText
            android:id="@+id/memcardUsername"
            android:layout_width="172dp"
            android:layout_height="wrap_content"
            android:ems="10"
            android:maxLength="64"
            android:inputType="text" />
    </LinearLayout>

    <LinearLayout
        android:gravity="center"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp">

        <Button
            android:id="@+id/okButton"
            android:layout_width="100sp"
            android:layout_height="wrap_content"
            android:layout_marginRight="5dp"
            android:minWidth="100sp"
            android:text="@string/str_ok"
            android:onClick="ok_button_clicked" />

        <Button
            android:id="@+id/cancelButton"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="5dp"
            android:minWidth="100sp"
            android:text="@string/str_cancel"
            android:onClick="cancel_button_clicked" />
    </LinearLayout>
</LinearLayout>
